using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Thirdparty.CustomerCategory.Cqrs;

public class CreateCustomerCategoryValidator : AbstractValidator<CreateCustomerCategoryRequest>
{
    public CreateCustomerCategoryValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Category Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}